#    Lunar Rover Expedition - A fun adventure game.
#    Copyright (C) 2013 Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Importion of modules
import pygame
pygame.init()

from code.classes.Text import Text


class Level_Meter( Text ):
	"""
	Shows information about the current level on the screen.
	"""

	def __init__( self, level, level_name, level_unformatted_text, center_xy_position ):
		"""
		Parameters
			level						int
				The current level.
			level_name					string
				The name of the current level.
			level_unformatted_text		string
				The text that will be formatted and displayed on the window.
			center_xy_position			( int, int ) or [ int, int ]
				The position of where to display the level text.
		"""

		# I store the passed parameters
		self._level = level
		self._level_name = level_name
		self._level_unformatted_text = level_unformatted_text
		self._center_xy_position = center_xy_position

		# Format the text now.
		self._level_formatted_text = self._level_unformatted_text.format( self._level, self._level_name )

		# Create the sprite to display.  Renders the text.
		super( Level_Meter, self ).__init__( self._level_formatted_text, self._center_xy_position )
