#    Lunar Rover Expedition - A fun adventure game.
#    Copyright (C) 2013 Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Importion of modules
import pygame
pygame.init()

from code.other.helpers import load_image


class Sample( pygame.sprite.Sprite ):
	"""
	Represents a sample of the moon which the player has to collect with his lunar rover.
	"""

	def __init__( self, image_filename, left_top_position ):
		"""
		Parameters
			image_filename		string
				The name of the image to use for the sample
			left_top_position	( int, int ) or [ int, int ]
				Defines where to position the sprite.  The center coords are used.
		"""
		pygame.sprite.Sprite.__init__( self )

		self.image = load_image( image_filename )
		self.rect = self.image.get_rect( topleft = left_top_position )


	def update( self, xy_velocity ):
		"""
		Parameters
			xy_velocity		( int, int ) or [ int, int ]
				The velocity of the lunar rover along the x -and y axis
		"""
		self.rect.move_ip( xy_velocity[0], xy_velocity[1] )
